select 
    l_shipmode, 
    sum(case when o_orderpriority = '1-URGENT' or o_orderpriority = '2-HIGH' then 1 else 0 end) as high_line_count, 
    sum(case when o_orderpriority <> '1-URGENT' and o_orderpriority <> '2-HIGH' then 1 else 0 end) as low_line_count 
from 
    ORDERS, LINEITEM 
where 
    o_orderkey = l_orderkey and 
    (
        l_shipmode = 'RAIL' or
        l_shipmode = 'FOB'
    ) and
    -- l_shipmode in ('RAIL', 'FOB') and 
    l_commitdate < l_receiptdate and 
    l_shipdate < l_commitdate and 
    l_receiptdate >= 852073200 and 
    l_receiptdate < 883609200
group by 
    l_shipmode 
order by l_shipmode;
