select 
    l_orderkey, 
    sum(l_extendedprice * (1 - l_discount/10000)) as revenue, 
    o_orderdate, 
    o_shippriority 
from 
    CUSTOMER, ORDERS, LINEITEM 
where 
    c_mktsegment = 'AUTOMOBILE' and 
    c_custkey = o_custkey and 
    l_orderkey = o_orderkey and 
    o_orderdate < 795049200 and 
    l_shipdate > 795049200 
group by 
    l_orderkey, o_orderdate, o_shippriority 
order by 
    revenue desc, o_orderdate 
limit 10;
