select 
    supp_nation, 
    cust_nation, 
    l_year, 
    sum(volume) as revenue 
from 
    ( select 
        n1.n_name as supp_nation, 
        n2.n_name as cust_nation, 
        l_shipdate as l_year, -- extract(year from l_shipdate) as l_year 
        l_extendedprice * (1 - l_discount/10000) as volume 
    from 
        SUPPLIER, LINEITEM, ORDERS, CUSTOMER, NATION n1, NATION n2 
    where 
        s_suppkey = l_suppkey and 
        o_orderkey = l_orderkey and 
        c_custkey = o_custkey and 
        s_nationkey = n1.n_nationkey and 
        c_nationkey = n2.n_nationkey and 
        (
            (n1.n_name = 'JAPAN' and n2.n_name = 'INDIA') or 
            (n1.n_name = 'INDIA' and n2.n_name = 'JAPAN')
        ) and 
        l_shipdate between 788914800 and 851986800
    ) as shipping 
group by 
    supp_nation, cust_nation, l_year 
order by 
    supp_nation, cust_nation, l_year;