select 
    o_year, 
    sum(case when nation = 'INDIA' then volume else 0 end) / sum(volume) as mkt_share 
from (
    select 
        o_orderdate as o_year, -- extract(year from o_orderdate) as o_year,
        l_extendedprice * (1 - l_discount/10000) as volume,
        n2.n_name as nation 
    from
        PART, SUPPLIER, LINEITEM, ORDERS, CUSTOMER, NATION n1, NATION n2, REGION 
    where 
        p_partkey = l_partkey and 
        s_suppkey = l_suppkey and 
        l_orderkey = o_orderkey and 
        o_custkey = c_custkey and 
        c_nationkey = n1.n_nationkey and 
        n1.n_regionkey = r_regionkey and 
        r_name = 'ASIA'	and 
        s_nationkey = n2.n_nationkey and 
        o_orderdate between 788914800 and 851986800 and 
        p_type = 'SMALL PLATED COPPER'
    ) as all_nations 
group by 
    o_year 
order by 
    o_year;
